Get Memories
curl --request GET \
--url https://api.omi.me/v1/dev/user/memories \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.omi.me/v1/dev/user/memories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.omi.me/v1/dev/user/memories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"category": "interesting",
"content": "",
"created_at": "2023-11-07T05:31:56Z",
"edited": false,
"manually_added": false,
"reviewed": false,
"scoring": "<string>",
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"user_review": true,
"visibility": "private"
}
]{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Memories
Get Memories
GET
/
v1
/
dev
/
user
/
memories
Get Memories
Authorizations
Send Authorization: Bearer <omi_developer_api_key>.
Response
Successful Response
Available options:
interesting, system, manual, workflow, core, hobbies, lifestyle, interests, habits, work, skills, learnings, other, auto ⌘I